What a commit changed against its first parent, streamed as Files changed is
application/x-ndjson, one CommitDiffLine a line: start (the
commit, its first parent, null for a first commit, files_total,
too_many_files), then one file per changed file in a file tree's
order, then end; error if the diff fails after its start. The
limits are Files changed's: at most 5,000 files, 32 MiB of patches in
all, a text file over 8 MiB on either side not diffed. The whole answer
is kept by the sha once streamed, with the sha as its ETag (a 304
with If-None-Match).
GET
https://app.gitpando.com/v1/monorepos/{owner}/{monorepo}/repos/{repo}/commits/{sha}/diffAuthorisation
Path parameters
Returns
200
OK
JSON
One of the following:
- object
304
With If-None-Match naming this sha.